jsgf_s Struct Reference

## Data Fields

char * | version
| JSGF version (from header).
char * | charset
| JSGF charset (default UTF-8).
char * | locale
| JSGF locale (default C).
char * | name
| Grammar name.
hash_table_t * | rules
| Defined or imported rules in this grammar.
hash_table_t * | imports
| Pointers to imported grammars.
jsgf_t * | parent
| Parent grammar (if this is an imported one).
glist_t | searchpath
| List of directories to search for grammars.
int | nstate
| Number of generated states.
glist_t | links
| Generated FSG links.
glist_t | rulestack
| Stack of currently expanded rules.

## Detailed Description

Definition at line 75 of file jsgf_internal.h.

## Field Documentation

## charset

char* jsgf_s::charset

JSGF charset (default UTF-8).

Definition at line 77 of file jsgf_internal.h.

Referenced by jsgf_grammar_free().

## imports

hash_table_t* jsgf_s::imports

Pointers to imported grammars.

Definition at line 82 of file jsgf_internal.h.

Referenced by jsgf_grammar_free(), and jsgf_grammar_new().

## links

glist_t jsgf_s::links

Generated FSG links.

Definition at line 88 of file jsgf_internal.h.

Referenced by jsgf_grammar_free().

## locale

char* jsgf_s::locale

JSGF locale (default C).

Definition at line 78 of file jsgf_internal.h.

Referenced by jsgf_grammar_free().

## name

char* jsgf_s::name

Grammar name.

Definition at line 79 of file jsgf_internal.h.

Referenced by jsgf_grammar_free(), and jsgf_grammar_name().

## nstate

int jsgf_s::nstate

Number of generated states.

Definition at line 87 of file jsgf_internal.h.

## parent

jsgf_t* jsgf_s::parent

Parent grammar (if this is an imported one).

Definition at line 83 of file jsgf_internal.h.

Referenced by jsgf_grammar_free(), and jsgf_grammar_new().

## rules

hash_table_t* jsgf_s::rules

Defined or imported rules in this grammar.

Definition at line 81 of file jsgf_internal.h.

Referenced by jsgf_get_rule(), jsgf_grammar_free(), jsgf_grammar_new(), and jsgf_rule_iter().

## rulestack

glist_t jsgf_s::rulestack

Stack of currently expanded rules.

Definition at line 89 of file jsgf_internal.h.

## searchpath

glist_t jsgf_s::searchpath

List of directories to search for grammars.

Definition at line 84 of file jsgf_internal.h.

Referenced by jsgf_grammar_free(), and jsgf_grammar_new().

## version

char* jsgf_s::version

JSGF version (from header).

Definition at line 76 of file jsgf_internal.h.

Referenced by jsgf_grammar_free().

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/jsgf_internal.h